--冒险之旅 神器解锁界面
Lua_ExploreTourUnlockWindow = class("Lua_ExploreTourUnlockWindow", Lua_Window);
function Lua_ExploreTourUnlockWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showCloseText = true;
	self.closeTextPosY = 120;

	self.windowName = "Lua_ExploreTourUnlockWindow";
	self.skinName = "ExploreTourUnlockWindow_skin";
end

function Lua_ExploreTourUnlockWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.modelEffImg = UICreate.createModelEffImg(self.content, nil, nil, 0, 850, 720, 720)
	self.modelEffImg.siblingIndex = 0
	self.modelEffImg.anchorValue = 7
	-- self.modelEffImg.canRot = true

	self.closeText.anchorValue = 7;

	self._bottomY = 171; -- 最低端
	self._dis = 45; -- 背景底部->具体内容底部   具体内容顶部->标题
	self._bgHeight = 57; -- 标题距离背景顶部的距离
end

function Lua_ExploreTourUnlockWindow:showWin(param)
	self:superCall("showWin", param);

	local artifactVo = Lua_ArtifactVo.new(param);
	self.titleTxt.text = artifactVo.name;
	self.contentTxt.text = artifactVo.des;
	self.contentTxt:resetSize();

	local txtHeight = self.contentTxt.height;
	local bgheight = self._dis + txtHeight + self._dis + self._bgHeight;
	self.contentTxt:setLocation(0, self._bottomY + self._dis + txtHeight/2);
	self.titleTxt:setLocation(0, self._bottomY + self._dis + txtHeight + self._dis);
	self.txtBg:setLocation(0, self._bottomY + (bgheight)/2);
	self.txtBg:SetDimensions(720, bgheight);

	self.modelEffImg:setUrl(artifactVo.modelPath, artifactVo.modelSrc)
	local height = self.modelEffImg.height / 2 + 30;
	self.modelEffImg:setLocation(0, self._bottomY + bgheight + height);
end

function Lua_ExploreTourUnlockWindow:dispose()
	if self.modelEffImg then
		self.modelEffImg:dispose()
		self.modelEffImg = nil
	end
	self:superCall("dispose");
end